Skip to content

Get memberships

GET
/accounts/{accountUuid}/members/v2/memberships

Get the memberships

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Query Parameters

page
Type
[ "integer", "null" ]
Default
1
Minimum
1
perPage
Type
[ "integer", "null" ]
Minimum
1

Responses

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"name": "string",
  
  
  
"color": "string",
  
  
  
"invoiceTemplateUuid": "string"
  
  
}
  
],
  
"message": "string",
  
"status": 200,
  
"meta": {
  
  
"pagination": {
  
  
  
"currentPage": 0,
  
  
  
"firstPageUrl": "string",
  
  
  
"from": 1,
  
  
  
"lastPage": 0,
  
  
  
"lastPageUrl": "string",
  
  
  
"nextPageUrl": "string",
  
  
  
"perPage": 50,
  
  
  
"previousPageUrl": "string",
  
  
  
"to": 50,
  
  
  
"totalItems": 0
  
  
}
  
}
}

Playground

Authorization
Variables
Key
Value

Samples


Create membership

POST
/accounts/{accountUuid}/members/v2/memberships

Create a new membership

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body

application/json
JSON
{
  
"name": "string",
  
"color": "string",
  
"invoiceTemplateUuid": "string"
}

Responses

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"name": "string",
  
  
"color": "string",
  
  
"invoiceTemplateUuid": "string"
  
},
  
"message": "string",
  
"status": 201,
  
"meta": {
  
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples


Get membership

GET
/accounts/{accountUuid}/members/v2/memberships/{membershipUuid}

Get a membership

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
membershipUuid*
Type
string
Required
Format
"uuid"

Responses

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"name": "string",
  
  
"color": "string",
  
  
"invoiceTemplateUuid": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground

Authorization
Variables
Key
Value

Samples


Delete membership

DELETE
/accounts/{accountUuid}/members/v2/memberships/{membershipUuid}

Delete a membership

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
membershipUuid*
Type
string
Required
Format
"uuid"

Responses

Successful response

Playground

Authorization
Variables
Key
Value

Samples


Update membership

PATCH
/accounts/{accountUuid}/members/v2/memberships/{membershipUuid}

Update a membership

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
membershipUuid*
Type
string
Required
Format
"uuid"

Request Body

application/json
JSON
{
  
"name": "string",
  
"color": "string",
  
"invoiceTemplateUuid": "string"
}

Responses

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"name": "string",
  
  
"color": "string",
  
  
"invoiceTemplateUuid": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples